<?php
/*
CRIADO POR: K88
DATA ULTIMA ALTERAÇÃO: 17/03/2017 15:41
OBS.: ATUALIZAÇÃO DE ESTRUTURA E REVISÃO
*/

include("../configuracao.php");//confirma no banco de dados
include("../inclusos/funcoes.php");
include("../seguranca.php"); // Inclui o arquivo com o sistema de seguran?a
protegePagina(); // Protege a página	
	
	//recebe os parâmetros

	$idobra = $_REQUEST['idobra'];
	$idservicoobra = $_REQUEST['idservicoobra'];
	$qtde_executado = $_REQUEST['qtde_executado'];
	$qtde_dias = $_REQUEST['qtde_dias'];	
	$datainicio = $_REQUEST['datainicio'];	
	$datafim = $_REQUEST['datafim'];	
	$status = $_REQUEST['status'];			
    $idfilial = $_REQUEST['idfilial'];
    $percentual_executado = $_REQUEST['percentual_executado'];	
	
	
	if($qtde_dias == 1){
		$qtde_dias = 0;	
	}	
	
	if($qtde_dias > 0 and $datafim == ""){	
	 $datafim = date('Y-m-d', strtotime("+".$qtde_dias." days",strtotime($datainicio)));	
	}
	
	if($datafim != "" and $datainicio != ""){

	$data1 = new DateTime( $datainicio );
	$data2 = new DateTime( $datafim );
	
	$intervalo = $data1->diff( $data2 );	
	$qtde_dias = $intervalo->d;		
	
	if($qtde_dias == 0){
		$qtde_dias = 1;	
	}
	}
	
    try
    {

$campos_alterar = "datainicio='$datainicio', datafim='$datafim', status='$status', qtde_executado='$qtde_executado', idfilial='$idfilial', qtde_dias='$qtde_dias', percentual_executado='$percentual_executado'";

        //insere na BD
		$AlterarObra = Alterar("obras_servicos", $campos_alterar, "idservicoobra", $idservicoobra);
		
        //retorna 1 para no sucesso do ajax saber que foi com inserido sucesso
        echo "1";
    } 
    catch (Exception $ex)
    {
        //retorna 0 para no sucesso do ajax saber que foi um erro
        echo "0";
    }
?>